> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationsallocated venues

> This operation searches venues within a location which correspond to a user's allocation permissions. The
criteria argument provided must provide the SYSID of a location which contains those venues to be
searched. This differs from the venue view search in that the Location of the Venue is known, and
the venues within that location are being searched based on the user's permissions.

This operation requires a **Venue Location Criteria** argument.

This operation returns a **Venue View Wrapper** with the following attributes:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/allocated-venues
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/allocated-venues:
    post:
      tags:
        - LocationService
      description: >-
        This operation searches venues within a location which correspond to a
        user's allocation permissions. The

        criteria argument provided must provide the SYSID of a location which
        contains those venues to be

        searched. This differs from the venue view search in that the Location
        of the Venue is known, and

        the venues within that location are being searched based on the user's
        permissions.


        This operation requires a **Venue Location Criteria** argument.


        This operation returns a **Venue View Wrapper** with the following
        attributes:
      operationId: searchAllocatedVenues
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidParentLocation: 12345
                  sysidAllocRelationships:
                    - 12345
                    - 12345
                  sysidUserAlloc: 12345
                  activeOnly: true
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/VenueLocationCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    nextStartRow: 12345
                    hasAdditional: true
                    views:
                      - locationLevel: 12345
                        name: ...
                        sysidVenueNode: 12345
                        latitude: 12345
                        active: true
                        longitude: 12345
                        sysidParentNode: 12345
                      - locationLevel: 12345
                        name: ...
                        sysidVenueNode: 12345
                        latitude: 12345
                        active: true
                        longitude: 12345
                        sysidParentNode: 12345
                    count: 12345
              schema:
                $ref: '#/components/schemas/VenueLocationResultsWrapper'
          description: >-
            VenueLocationResultsWrapper Wrapper which includes collection of
            venue locations
components:
  schemas:
    VenueLocationCriteria:
      type: object
      title: VenueLocationCriteria
      required:
        - activeOnly
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            sysidParentLocation:
              type: integer
              format: int32
            sysidAllocRelationships:
              type: array
              items:
                type: integer
            sysidUserAlloc:
              type: integer
              format: int32
            activeOnly:
              type: boolean
      example:
        sysidParentLocation: 12345
        sysidAllocRelationships:
          - 12345
          - 12345
        sysidUserAlloc: 12345
        activeOnly: true
        startRow: 12345
        maxRows: 12345
    VenueLocationResultsWrapper:
      type: object
      title: VenueLocationResultsWrapper
      required:
        - nextStartRow
        - hasAdditional
        - count
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
            views:
              type: array
              items:
                $ref: '#/components/schemas/VenueLocationView'
            count:
              type: integer
              format: int32
      example:
        nextStartRow: 12345
        hasAdditional: true
        views:
          - locationLevel: 12345
            name: ...
            sysidVenueNode: 12345
            latitude: 12345
            active: true
            longitude: 12345
            sysidParentNode: 12345
          - locationLevel: 12345
            name: ...
            sysidVenueNode: 12345
            latitude: 12345
            active: true
            longitude: 12345
            sysidParentNode: 12345
        count: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    VenueLocationView:
      type: object
      title: VenueLocationView
      required:
        - locationLevel
        - active
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            locationLevel:
              type: integer
              format: int32
            name:
              type: string
            sysidVenueNode:
              type: integer
              format: int32
            latitude:
              type: number
            active:
              type: boolean
            longitude:
              type: number
            sysidParentNode:
              type: integer
              format: int32
      example:
        locationLevel: 12345
        name: ...
        sysidVenueNode: 12345
        latitude: 12345
        active: true
        longitude: 12345
        sysidParentNode: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````